Get company financial statements
curl --request GET \
--url https://api.quantoraresearch.com/companies/{idOrLookup}/financials \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/companies/{idOrLookup}/financials"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/companies/{idOrLookup}/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {},
"meta": {},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Companies
Get company financial statements
GET
/
companies
/
{idOrLookup}
/
financials
Get company financial statements
curl --request GET \
--url https://api.quantoraresearch.com/companies/{idOrLookup}/financials \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/companies/{idOrLookup}/financials"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/companies/{idOrLookup}/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {},
"meta": {},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Authorizations
apiKeybearerApiKey
Query Parameters
Restrict to a reporting frequency.
Available options:
annual, quarterly Statements per type, newest first.
Required range:
1 <= x <= 100Knowledge-time vintage cutoff; statements are assembled from the latest vintage known on or before this timestamp.